"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertSwaggerFile = void 0;
const swagger2openapi_1 = __importDefault(require("swagger2openapi"));
const js_yaml_1 = __importDefault(require("js-yaml"));
/**
 * Import and parse the openapi spec from a yaml/json
 */
const convertSwaggerFile = (data, extension) => {
    const schema = extension === 'yaml' ? js_yaml_1.default.load(data) : JSON.parse(data);
    return new Promise((resolve, reject) => {
        if (!schema.openapi || !schema.openapi.startsWith('3.')) {
            swagger2openapi_1.default.convertObj(schema, {}, (err, convertedObj) => {
                if (err) {
                    reject(err);
                }
                else {
                    // @ts-ignore
                    convertedObj.openapi.basePath = convertedObj.original.basePath;
                    resolve(convertedObj.openapi);
                }
            });
        }
        else {
            resolve(schema);
        }
    });
};
exports.convertSwaggerFile = convertSwaggerFile;
