"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateImports = void 0;
const generateImports = ({ schemaName, apiDirectory, queryClientDir, schemaImports, }) => {
    const importTypes = schemaImports.join(',');
    return `
  import {
    useQuery,
    useMutation,
    UseQueryOptions,
    UseMutationOptions,
    QueryKey,
    SetDataOptions,
    QueryFilters
  } from '@tanstack/react-query';
  
  import { AxiosError } from 'axios';
  import { api } from '${apiDirectory}';
  import { queryClient } from '${queryClientDir}';

  import {${importTypes}} from './${schemaName}'

  type Updater<TInput, TOutput> = TOutput | ((input: TInput) => TOutput);  
  `;
};
exports.generateImports = generateImports;
